Skip to content

Retrieve the request fields for my catalog entry

Request

OAuth 2.0 scope:
  • okta.accessRequests.request.read

Retrieves request fields for a catalog entry that you're allowed to request (as the authenticated requester):

  • Request fields are determined by evaluating the entry's associated request conditions for the requester.
  • The highest priority matching condition determines the approval sequence that's used for the requester.
  • If that approval sequence has requester fields, then they are returned as request fields.
  • If the request can lead to any separation of duty conflicts, then the risk assessment (metadata.riskAssessment) is present. The risk assessment indicates whether the request submission is allowed or restricted, and includes rules that lead to the possible conflicts. If the request submission is allowed, then the request fields are determined by the associated approval sequence.
Path
entryIdstring, = 20 characters(catalog-entry-id)required

Unique identifier for the catalog entry

Example:cenp2rjyxK1Js2Fc41d5
GET
/governance/api/v2/my/catalogs/default/entries/{entryId}/request-fields
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/governance/api/v2/my/catalogs/default/entries/cenp2rjyxK1Js2Fc41d5/request-fields

Responses

Get requester fields for an entry

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(request-field)

List of request fields

metadataobject

Additional information about the request fields

Response
{ "data": [ {} ] }